Skip to main content

## Commands

This section is an alphabetic list of the currently available CSVfix commands. Each command has one or more examples of how it should be used - see the Usage section for general help on command syntax.

You can also get a list of commands available in your CSVfix executable by entering the following on the command line:

csvfix help

More detailed built-in help is also available. You can get a help summary by entering:

csvfix help command

where command is the actual name of the command you are interested in. This facility is intended as a reminder of command syntax only - the definitive documentation of CSVfix remains this help file.

Note that all CSVfix commands and command line flags are case-sensitive, and should be entered in lower-case. CSVfix supports several command line flags not described in the detailed command pages, as they are available for almost all commands:

Flag | Req'd? | Description
-o filename | No | Write output to named file rather than standard output.
-ibl | No | If this flag is used, CSVfix ignores any blank lines in input streams. By default, such lines are not ignored and will result in CSV records consisting of a single empty field being created.
-ifn | No | This flag tells CSVfix to remove a field-name record, which must be the first line in a CSV input file, from output. CSVfix does not check that such a record exists, it merely filters out the first line. This flag has no effect for the commands that do not read CSV input.
-sep separator | No | Specify an alternative CSV record separator. This must be a single character and not be whitespace, alphanumeric or the double-quote. The separator will be used for all CSV input from files or standard input. It will not be used for formatting CSV for output - for that, see the -rsep flag.
-rsep separator | No | As for -sep (with which it is mutually exclusive), but the same separator is also used when writing CSV output. Note that this may make it possible to produce invalid CSV output.
-osep separator | No | Specifies separator to use on CSV output - this setting overrides the -sep and -rsep flags.
-smq | No | By default, CSVfix wraps every CSV output field in double quotes. If you don't want this behaviour, the -smq flag turns on smart quoting, which only double-quotes fields that contain special characters such as commas and quotes. This flag has no effect for the commands that do not produce CSV output.
-sqf fields | No | Specify a list indexes of fields that must be quoted using CSV quoting rules. For example: -sqf 2,4 specifies that fields 2 and 4 must be quoted. Fields not in the list are not quoted, which means that you can prevent any fields being quoted by providing a single, large field number, greater than the number of existing fields. Note that using this flag makes it possible to produce invalid CSV output (you can specify that fields that contain embedded quotes must not be quoted) and the flag is mutually exclusive with the -smq flag.
-seed n | No | Seeds the random number generator used by the expression language random() function with the integer value n. If this option is not used, the random number generator is seeded eith the current time.
-skip test | No | Perform a test using the expression language. If the test is true for the current CSV input record, the record is discarded. See here for more information.
-pass test | No | Perform a test using the expression language. If the test is true for the current CSV input record, the record is passed-through the command with no processing being performed.
-hdr "header text" | No | Inserts the specified text as the first record in the CSV output.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator

####